package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.EnergyIndex;
import com.nantian.cloud.jljc.vo.EnergyIndexVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 耗能指标信息 Mapper 接口
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
@Mapper
public interface EnergyIndexMapper extends BaseMapper<EnergyIndex> {

    List<EnergyIndex> getInfoByStr(@Param("list") String[] list);

    //根据产品编码获取耗能指标信息
    List<EnergyIndexVo> getByProductNum(@Param("productNum") String productNum);
    //根据产品名称，行业名称，行业编号，产品编号进行查询
    IPage<EnergyIndex> selectall(@Param("param1") Page page, @Param("param2") EnergyIndex energyIndex);

    //IPage<EnergyIndex> getPageScope(Page page,@Param("query") EnergyIndex energyIndex, DataScope dataScope);
    IPage<EnergyIndex> getPageScope(Page page,@Param("query") EnergyIndex energyIndex);

    //获取耗能指标信息涉及的行业
    List<String> getTrade();
    //列表获取指标信息
    List<EnergyIndex> getEnergyIndexList();

    //根据id获取指标的先进值、准入值、限定值
    EnergyIndex getInfoByEnergyId(String energyId);

    IPage<EnergyIndex> getPageScopeCode(Page page,@Param("query") EnergyIndex energyIndex);
}

